Opened 4 years ago

Closed 21 months ago

#1873 closed enhancement (fixed)

support zygoaudio

Reported by: ami_stuff Owned by:
Priority: wish Component: undetermined
Version: git-master Keywords: speex zygo
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: yes

Description

it uses speex codec ("zygoa8k_q10.mov" decodes without any tweaks to the decoder with "-acodec speex").

http://www.datafilehost.com/download-4bf8975f.html

C:\>ffmpeg -i zygoa8k_q10.mov
ffmpeg version N-45867-g3318d6b Copyright (c) 2000-2012 the FFmpeg developers
  built on Oct 23 2012 02:39:33 with gcc 4.5.0 (GCC) 20100414 (Fedora MinGW 4.5.
0-1.fc14)
  configuration: --prefix=/var/www/users/research/ffmpeg/snapshots/build --arch=
x86 --target-os=mingw32 --cross-prefix=i686-pc-mingw32- --cc='ccache i686-pc-min
gw32-gcc' --enable-w32threads --enable-memalign-hack --enable-runtime-cpudetect
--enable-cross-compile --enable-static --disable-shared --extra-libs='-lws2_32 -
lwinmm -lpthread' --extra-cflags='--static -I/var/www/users/research/ffmpeg/snap
shots/build/include' --extra-ldflags='-static -L/var/www/users/research/ffmpeg/s
napshots/build/lib' --enable-bzlib --enable-zlib --enable-gpl --enable-version3
--enable-nonfree --enable-libx264 --enable-libspeex --enable-libtheora --enable-
libvorbis --enable-libfaac --enable-libxvid --enable-libopencore-amrnb --enable-
libopencore-amrwb --enable-libmp3lame --enable-libvpx --disable-decoder=libvpx
  libavutil      51. 77.100 / 51. 77.100
  libavcodec     54. 68.100 / 54. 68.100
  libavformat    54. 33.100 / 54. 33.100
  libavdevice    54.  3.100 / 54.  3.100
  libavfilter     3. 20.104 /  3. 20.104
  libswscale      2.  1.101 /  2.  1.101
  libswresample   0. 16.100 /  0. 16.100
  libpostproc    52.  1.100 / 52.  1.100
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1edbe20] max_analyze_duration 5000000 reached at 50
00000
[mov,mp4,m4a,3gp,3g2,mj2 @ 0x1edbe20] Could not find codec parameters for stream
 0 (Audio: none (SPXN / 0x4E585053), 8000 Hz, 1 channels): unknown codec
Consider increasing the value for the 'analyzeduration' and 'probesize' options
Guessed Channel Layout for  Input Stream #0.0 : mono
Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'zygoa8k_q10.mov':
  Metadata:
    major_brand     : qt
    minor_version   : 537199360
    compatible_brands: qt
    creation_time   : 2012-10-30 15:26:21
  Duration: 00:01:12.00, start: 0.000000, bitrate: 61 kb/s
    Stream #0:0(eng): Audio: none (SPXN / 0x4E585053), 8000 Hz, mono
    Metadata:
      creation_time   : 2012-10-30 15:26:21
      handler_name    : Procedura obs│ugi skrˇtˇw danych Apple
    Stream #0:1(eng): Video: mjpeg (mjpa / 0x61706A6D), yuvj422p, 160x120 [SAR 7
2:72 DAR 4:3], 36 kb/s, 0.25 fps, 0.25 tbr, 1 tbn, 1 tbc
    Metadata:
      creation_time   : 2012-10-30 15:26:21
      handler_name    : Procedura obs│ugi skrˇtˇw danych Apple
At least one output file must be specified

Attachments (3)

spxn.diff (2.6 KB) - added by ami_stuff 4 years ago.
master.png (422.9 KB) - added by mikhailov 3 years ago.
master branch
n1.2.1.png (425.9 KB) - added by mikhailov 3 years ago.
tag 1.2.1 (origin/release/1.2)

Download all attachments as: .zip

Change History (23)

comment:1 Changed 4 years ago by ami_stuff

my try to support compression mode 10

Changed 4 years ago by ami_stuff

comment:2 follow-up: Changed 4 years ago by richardpl

This looks bad and is just guessing.

comment:3 in reply to: ↑ 2 Changed 4 years ago by ami_stuff

Replying to richardpl:

This looks bad and is just guessing.

which part of the patch you mean is guessing?

comment:4 Changed 4 years ago by compn

hi, please submit patch to ffmpeg-devel , include link to sample.
also, if you can find a spec with the extradata that may be good for commenting the source.

comment:5 Changed 4 years ago by richardpl

  • Priority changed from normal to wish
  • Reproduced by developer set
  • Status changed from new to open
  • Type changed from defect to enhancement
  • Version changed from unspecified to git-master

comment:6 Changed 4 years ago by cehoyos

  • Keywords speex zygo added

comment:7 follow-up: Changed 3 years ago by michael

link to sample is dead

comment:8 in reply to: ↑ 7 Changed 3 years ago by ami_stuff

comment:9 Changed 3 years ago by compn

  • Analyzed by developer set
  • Summary changed from support zygoaudio to support zygoaudio [patch]

someone has uploaded the samples here:

http://samples.ffmpeg.org/ffmpeg-bugs/trac/ticket1873/

(i have now updated the allsamples.txt , last updated aug 2012. maybe it should be scripted?)

comment:10 Changed 3 years ago by cehoyos

  • Summary changed from support zygoaudio [patch] to support zygoaudio

comment:11 Changed 3 years ago by compn

  • Resolution set to fixed
  • Status changed from open to closed

comment:12 Changed 3 years ago by cehoyos

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:13 Changed 3 years ago by cehoyos

@compn: If you want to close this ticket (which is definitely ok), please open a new one for the remaining samples. It is not ok to close this ticket without opening a new one.

comment:14 follow-up: Changed 3 years ago by mikhailov

this commit e26b066cd8db361feba90e943c6cfdf062c52272 is in master branch only, but not applied to n1.2.1 branch yet, any reason?

Version 0, edited 3 years ago by mikhailov (next)

comment:15 in reply to: ↑ 14 Changed 3 years ago by cehoyos

Replying to mikhailov:

this commit e26b066cd8db361feba90e943c6cfdf062c52272 is in master branch only, but not applied to n1.2.1 branch yet, any reason why?

Why should it be applied to origin/release/1.2?
(n1.2.1 is a tag, you cannot apply anything to it.)

Possible reasons include that the original commit fixes a possible security issue or that it fixes a regression, is one of that the case here?

comment:16 follow-up: Changed 3 years ago by mikhailov

@cehoyos any other commits related to libspeex have been merged, but this one (dated Jan 16 2013) still in master only, I wonder if any reason or it's been forgotten?

comment:17 in reply to: ↑ 16 ; follow-up: Changed 3 years ago by cehoyos

Replying to mikhailov:

@cehoyos any other commits related to libspeex have been merged

I was unable to find any libspeex patch that was merged into origin/release/1.2, could you elaborate?

but this one (dated Jan 16 2013)

just for completeness: The patch was committed on March 23rd (after origin/release/1.2 was branched)

still in master only, I wonder if any reason or it's been forgotten?

Allow me to repeat: Why should it be merged? Is the patch security relevant or does it fix a regression?

Changed 3 years ago by mikhailov

master branch

Changed 3 years ago by mikhailov

tag 1.2.1 (origin/release/1.2)

comment:18 in reply to: ↑ 17 ; follow-up: Changed 3 years ago by mikhailov

Replying to cehoyos:

Replying to mikhailov:

@cehoyos any other commits related to libspeex have been merged

I was unable to find any libspeex patch that was merged into origin/release/1.2, could you elaborate?

I've attached all commits relate to libspeex, 2 files: master and tag 1.2.1 (sorry file names are reversed)

but this one (dated Jan 16 2013)

just for completeness: The patch was committed on March 23rd (after origin/release/1.2 was branched)

yes, probably it was wrong rebase or any other history rewrite, commit date is Sat Mar 23 2013 14:45:58 GMT

still in master only, I wonder if any reason or it's been forgotten?

Allow me to repeat: Why should it be merged? Is the patch security relevant or does it fix a regression?

we guess it can help us with ticket:2085

Last edited 3 years ago by mikhailov (previous) (diff)

comment:19 in reply to: ↑ 18 Changed 3 years ago by cehoyos

Replying to mikhailov:

Replying to cehoyos:

Replying to mikhailov:

@cehoyos any other commits related to libspeex have been merged

I was unable to find any libspeex patch that was merged into origin/release/1.2, could you elaborate?

I've attached all commits relate to libspeex, 2 files: master and tag 1.2.1 (sorry file names are reversed)

(Please do not attach screen shots on this bug tracker, it is very unusual that they are helpful, and this is not an exception, link to http://git.videolan.org/?p=ffmpeg.git instead or post the output of git log.)

None of the commits shown in your screen shot was merged into origin/release/1.2, they were all made before origin/release/1.2 was created.

but this one (dated Jan 16 2013)

just for completeness: The patch was committed on March 23rd (after origin/release/1.2 was branched)

(Sorry for the bad wording: The commit in question was pushed on March 23rd)

yes, probably it was wrong rebase or any other history rewrite, commit date is Sat Mar 23 2013 14:45:58 GMT

Nothing about this change indicates a wrong rebase or a history rewrite, it was written and committed locally by ami_stuff in January, sent to ffmpeg-devel and finally pushed on March 23rd.

still in master only, I wonder if any reason or it's been forgotten?

Allow me to repeat: Why should it be merged? Is the patch security relevant or does it fix a regression?

we guess it can help us with ticket #2085

This seems very unlikely to me, but do I understand correctly that ticket #2085 is fixed in git head and e26b066 but was still reproducible with 785b849 ?

comment:20 Changed 21 months ago by michael

  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.